## javanet.staxutils.events
Class EventAllocator

    java.lang.Object
      javanet.staxutils.events.BaseXMLEventAllocator
          javanet.staxutils.events.EventAllocator

All Implemented Interfaces:
  XMLEventAllocator

    public class EventAllocator

extends BaseXMLEventAllocator

Allocates events within this package.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Constructor Summary
`EventAllocator()`

Method Summary
`List` `allocateAttributes(Location location, XMLStreamReader reader)`
`Characters` `allocateCData(XMLStreamReader reader)`
`Characters` `allocateCharacters(XMLStreamReader reader)`
`Comment` `allocateComment(XMLStreamReader reader)`
`DTD` `allocateDTD(XMLStreamReader reader)`
`EndDocument` `allocateEndDocument(XMLStreamReader reader)`
`EndElement` `allocateEndElement(XMLStreamReader reader)`
`EntityReference` `allocateEntityReference(XMLStreamReader reader)`
`Characters` `allocateIgnorableSpace(XMLStreamReader reader)`
`List` `allocateNamespaces(Location location, XMLStreamReader reader)`
`ProcessingInstruction` `allocateProcessingInstruction(XMLStreamReader reader)`
`StartDocument` `allocateStartDocument(XMLStreamReader reader)`
`StartElement` `allocateStartElement(XMLStreamReader reader)`
`Location` `createStableLocation(XMLStreamReader reader)`
`NamespaceContext` `createStableNamespaceContext(XMLStreamReader reader)`
`QName` `determineAttributeSchemaType(XMLStreamReader reader, int index)`
`EntityDeclaration` `determineEntityDeclaration(String name, XMLStreamReader reader)`
`QName` `determineSchemaType(XMLStreamReader reader)`
`XMLEventAllocator` `newInstance()`

Methods inherited from class javanet.staxutils.events.BaseXMLEventAllocator
`allocate, allocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventAllocator

    public EventAllocator()

Method Detail

### newInstance

    public XMLEventAllocator newInstance()

### allocateStartElement

    public StartElement allocateStartElement(XMLStreamReader reader)
                                      throws XMLStreamException

  Specified by:
    `allocateStartElement` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateEndElement

    public EndElement allocateEndElement(XMLStreamReader reader)
                                  throws XMLStreamException

  Specified by:
    `allocateEndElement` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateAttributes

    public List allocateAttributes(Location location,
                                   XMLStreamReader reader)
                            throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateNamespaces

    public List allocateNamespaces(Location location,
                                   XMLStreamReader reader)
                            throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateCData

    public Characters allocateCData(XMLStreamReader reader)
                             throws XMLStreamException

  Specified by:
    `allocateCData` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateCharacters

    public Characters allocateCharacters(XMLStreamReader reader)
                                  throws XMLStreamException

  Specified by:
    `allocateCharacters` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateIgnorableSpace

    public Characters allocateIgnorableSpace(XMLStreamReader reader)
                                      throws XMLStreamException

  Specified by:
    `allocateIgnorableSpace` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateComment

    public Comment allocateComment(XMLStreamReader reader)
                            throws XMLStreamException

  Specified by:
    `allocateComment` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateDTD

    public DTD allocateDTD(XMLStreamReader reader)
                    throws XMLStreamException

  Specified by:
    `allocateDTD` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateStartDocument

    public StartDocument allocateStartDocument(XMLStreamReader reader)
                                        throws XMLStreamException

  Specified by:
    `allocateStartDocument` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateEndDocument

    public EndDocument allocateEndDocument(XMLStreamReader reader)
                                    throws XMLStreamException

  Specified by:
    `allocateEndDocument` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateEntityReference

    public EntityReference allocateEntityReference(XMLStreamReader reader)
                                            throws XMLStreamException

  Specified by:
    `allocateEntityReference` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateProcessingInstruction

    public ProcessingInstruction allocateProcessingInstruction(XMLStreamReader reader)
                                                        throws XMLStreamException

  Specified by:
    `allocateProcessingInstruction` in class `BaseXMLEventAllocator`
  Throws:
    `XMLStreamException`

### determineSchemaType

    public QName determineSchemaType(XMLStreamReader reader)

### determineAttributeSchemaType

    public QName determineAttributeSchemaType(XMLStreamReader reader,
                                              int index)

### determineEntityDeclaration

    public EntityDeclaration determineEntityDeclaration(String name,
                                                        XMLStreamReader reader)

### createStableLocation

    public Location createStableLocation(XMLStreamReader reader)

  Specified by:
    `createStableLocation` in class `BaseXMLEventAllocator`

### createStableNamespaceContext

    public NamespaceContext createStableNamespaceContext(XMLStreamReader reader)

  Specified by:
    `createStableNamespaceContext` in class `BaseXMLEventAllocator`